Bug 2072306 - Please build orocos-kdl for EPEL 8
Summary: Please build orocos-kdl for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: orocos-kdl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-06 00:04 UTC by Scott K Logan
Modified: 2022-05-18 02:56 UTC (History)
1 user (show)

Fixed In Version: orocos-kdl-1.5.1-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-18 02:56:53 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Scott K Logan 2022-04-06 00:04:07 UTC
Description of problem:
There is no build of orocos-kdl available in RHEL 8. Please branch and build orocos-kdl for EPEL 8.

Additional info:
The package builds and installs cleanly from the rawhide branch with a handful of modifications to deal with the updated CMake macros in Fedora. If maintenance and/or testing is a concern, please consider adding me (cottsay) as an EPEL-only co-maintainer of this package.

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=85223585

Thanks!

Comment 1 Till Hofmann 2022-04-12 12:36:18 UTC
CentOS 8 is EOL so I have no way to test this.

Comment 2 Scott K Logan 2022-04-12 17:45:04 UTC
AlmaLinux, Rocky Linux, and RHEL 8 itself are all viable testing environments for EPEL 8, are all available for free, and are supported.

If you're not willing to maintain an EPEL 8 package, please consider adding me (cottsay) as an EPEL-only co-maintainer of this package.

Comment 3 Till Hofmann 2022-04-12 19:54:01 UTC
You are co-maintainer now!

Comment 4 Till Hofmann 2022-04-12 20:21:17 UTC
To be more precise, I've added you as contributor on src.fp.o. I'm not sure if I need to do anything else and I couldn't find additional info on this, so if anything is missing, please let me know.

Comment 5 Fedora Update System 2022-05-09 19:47:05 UTC
FEDORA-EPEL-2022-be724fceba has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-be724fceba

Comment 6 Fedora Update System 2022-05-10 02:26:33 UTC
FEDORA-EPEL-2022-be724fceba has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-be724fceba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-05-18 02:56:53 UTC
FEDORA-EPEL-2022-be724fceba has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.